### Function

# GimpUi get_display_window

#### Declaration [src]

    GdkWindow*
    gimp_ui_get_display_window (
      GimpDisplay* display
    )

#### Description [src]

Returns the `GdkWindow` of a display window. The purpose is to allow to make plug-in dialogs transient to the image display as explained with gdk_window_set_transient_for().

You shouldn’t have to call this function directly. Use `gimp_window_set_transient_for_display()` instead.

Available since: | 2.4

#### Parameters

`display` | `GimpDisplay`
| A `GimpDisplay`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkWindow`
| A reference to a `GdkWindow` or `NULL`. You should unref the window using `g_object_unref()` as soon as you don’t need it any longer.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.